_Evas_Textgrid_Cell Struct Reference
Evas » Specific Object Functions » Textgrid Object Functions

A cell contains a single unicode character, with associated formatting data including style, color, and color palette. More...

`#include <Evas_Common.h>`

## Data Fields

Eina_Unicode | codepoint
| the UNICODE value of the character
unsigned char | fg
| the index of the palette for the foreground color
unsigned char | bg
| the index of the palette for the background color
unsigned short | bold: 1
| whether the character is bold
unsigned short | italic: 1
| whether the character is oblique
unsigned short | underline: 1
| whether the character is underlined
unsigned short | strikethrough: 1
| whether the character is strikethrough'ed
unsigned short | fg_extended: 1
| whether the extended palette is used for the foreground color
unsigned short | bg_extended: 1
| whether the extended palette is used for the background color
unsigned short | double_width: 1
| if the codepoint is merged with the following cell to the right visually (cells must be in pairs with 2nd cell being a duplicate in all ways except codepoint is 0)

## Detailed Description

A cell contains a single unicode character, with associated formatting data including style, color, and color palette.

Double-wide characters are flagged to permit visually merging the cell to the right.

Since
  1.7